Konflikt biblioteki MySQL i serwera MySQL


(Krzysztel) #1

W PHP MyAdmin 3.1.2 wyświetla mi się komunikat

"Wersja 5.0.51a biblioteki MySQL dla PHP różni się od wersji 5.1.30 serwera MySQL. Może to powodować niespodziewane zachowanie."

Faktycznie strona nie działa jak powinna.

Co robić?

:frowning:


(Brtx) #2

Albo: robisz downgrade serwera MySQL do wersji 5.0.51a

Albo: kompilujesz PHP dla wersji MySQL 5.1.30

Albo: ściągasz nowsze PHP skompilowane z bibliotekami do obsługi MySQL 5.1.30 (o ile jest gdzieś dostępne)


(system) #3

Odpowiednie biblioteki (wersja 5.1 MySQL-a) można podmienić z projektu XAMPP w wersji 1.7. Zainstalowałem xampp-a na virtualnym pc i skopiowałem sobie potrzebne biblioteki, następnie podmieniłem. Udało się to bez problemu i co najważniejsze - działa.